*{
  margin: 0;
  box-sizing: border-box;
}

.d-flex{
  display: flex;
  justify-content: center;
  align-items: center;
}

.wrapper{
  @extend .d-flex;
  flex-direction: column;
  height: 100vh;
  width: 100%;
  background: #0F2027;  /* fallback for old browsers */
  background: -webkit-linear-gradient(to right, #2C5364, #203A43, #0F2027);  /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to right, #2C5364, #203A43, #0F2027); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */

}

#main-field{
  width: 450px;
  height: 450px;
  display: flex;
  flex-wrap: wrap;
}

.main-field__box{
  @extend .d-flex;
  color:white;
  width: 150px;
  height: 150px;
  background:   #1f4037;
  border:1px solid #99f2c8;
  font-size: 50px;
  font-weight: bold;
  cursor: pointer;
  user-select: none;
  transition: 0.6s ease all;
  &:hover {
    background: #1f4037;  /* fallback for old browsers */
    background: -webkit-linear-gradient(to top right, #99f2c8, #1f4037);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to top right, #99f2c8, #1f4037); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */


    transform:
            perspective(800px)
            rotateY(-15deg)
            translateY(-8px)
            rotateX(10deg)
            scale(1);
    filter: blur(0);
    opacity: 1;
  }
}

.btn{
  margin: 15px 0 0;
  padding: 12px 30px;
  background:  #1f4037;
  color: #99f2c8;
  border:1px solid  #99f2c8;
  font-weight: bold;
  cursor: pointer;
}

#results{
  width: 450px;
  display: flex;
  color: #99f2c8;
  justify-content: space-between;
  font-weight: bold;
  margin: 0 0 15px;
}

.btn-wrapper{
  @extend .d-flex;
  justify-content: space-around;
  width: 450px;

}